Create a new form

Create a new form with sections and input fields. An optional boolean publish parameter can be set to publish the form on save.

Section Requirements

  • Each section MUST include at least 1 field
  • Sections MAY include an optional title and description
  • Section descriptions allow the following HTML tags: P, H1, H2, H3, BR, B, UL, LI

Field Requirements

Supported field types: TEXT, NUMBER, DATE, DATETIME, NIN, PHONE, CHOICE, HTML, EMAIL, BUSINESS_ID, FILE

Every field MUST:

  • Have a label
  • Have the required property set (true or false)

Exception: HTML field type only accepts content property.

Field Properties

  • content: HTML block with supported tags
  • countryCodes: Array of CountryCode enum values (required for NIN/BUSINESS_ID). User selects their country and validation checks against that specific country's format only
  • options: values for LAYOUT
  • layout: options displayed as RADIO, DROPDOWN
  • multiline: if True sets the input as a standard TEXTAREA
  • allowDecimals: allow either , or . as decimal delimiter
  • dateFormat: compatible date format such as yyyy-MM-dd, dd/MM/yy

Field Validations

  • exact: performs a case sensitive exact match between set value and user input
  • min: Minimum length for TEXT or value for a NUMBER
  • max: Maximum length for TEXT or value for a NUMBER
  • maxLength: Maximum length for TEXT or value for a NUMBER
  • regex: validates that user input matches pattern, optional message can be set
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean
Body Params
string | null
string | null
string | null
boolean | null
boolean | null
string
enum
required
string | null
predefinedSigners
array of objects | null
List<PredefinedSignerRequest>
sections
array of objects
required
List<FormSectionRequest>*
string | null
Responses
201

Created Form and Inputs

400

Bad Request

500

Unknown Internal Server Error

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!